## org.apache.portals.bridges.jsf
Class NullEnumeration

    java.lang.Object
      org.apache.portals.bridges.jsf.NullEnumeration

All Implemented Interfaces:
  Enumeration

public final class NullEnumeration
extends Object
implements Enumeration

Enumeration without elements

Code provided by MyFaces project.

Author:
  David Le Strat

Field Summary
`private static NullEnumeration` `nullEnumeration` Null enumeration.

Constructor Summary
`NullEnumeration()`

Method Summary
`boolean` `hasMoreElements()`
`static NullEnumeration` `instance()`
`Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nullEnumeration

    private static final NullEnumeration nullEnumeration

  Null enumeration.

Constructor Detail

### NullEnumeration

    public NullEnumeration()

Method Detail

### instance

    public static final NullEnumeration instance()

  Returns:
    An instance of the enumeration.

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration`
  See Also:
    `Enumeration.hasMoreElements()`

### nextElement

    public Object nextElement()

  Specified by:
    `nextElement` in interface `Enumeration`
  See Also:
    `Enumeration.nextElement()`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.